<?php
/**
 * Displays footer site info
 *
 * @package Verity Pro
 */

?>
<div class="site-info">
	<?php 
        $theme_data = wp_get_theme();
        
        $def_footer_text = sprintf( _x( 'Copyright &copy; %1$s %2$s. All Rights Reserved', '1: Year, 2: Site Title with home URL', 'verity-pro' ), '[the-year]', '[site-link]' ) . ' &#124; ' . $theme_data->get( 'Name') . '&nbsp;' . esc_html__( 'by', 'verity-pro' ). '&nbsp;<a target="_blank" href="'. $theme_data->get( 'AuthorURI' ) .'">'. $theme_data->get( 'Author' ) .'</a>';

        $footer_text = get_theme_mod( 'verity_footer_content', $def_footer_text );

        $search = array( '[the-year]', '[site-link]' );

        $replace = array( esc_attr( date_i18n( __( 'Y', 'verity-pro' ) ) ), '<a href="'. esc_url( home_url( '/' ) ) .'">'. esc_attr( get_bloginfo( 'name', 'display' ) ) . '</a>' );

        $footer_text =  str_replace( $search, $replace, $footer_text );

        echo wp_kses_post( $footer_text );
    ?>
</div><!-- .site-info -->

